Annonce

>>> Bienvenue sur codelab! >>> Première visite ? >>> quelques mots sur codelab //// une carte des membres//// (apéros) codelab

17 mai 2019 : accident de la base de données : plus d'infos

#1 2008-10-04 18:48:36 Problème de librairies avec pd-extended 0.39.3 sur MacOSX/Intel

Juju
Invité

Problème de librairies avec pd-extended 0.39.3 sur MacOSX/Intel



Bonjour  smile
Je sais, je sais, il y a un post identique sur le forum... auquel il faut s'inscrire pour participer (chaque chose en son temps). Et comme je n'ai pas ma réponse dans le précédente conversation, bin je relance.
Nouvel utilisateur, j'aimerai utiliser Gem et pdp ou pidipi avec mon pure data sur mon macbook. Mais il me réclame X11 pour ça (library not loaded... hmm)
Bon, je récupère X11 des xcode, et je relance. Mais, bazar !, ça ne fonctionne pas mieux. Alors je regarde où j'ai mon X11 et je constate qu'il est dans

/Developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/lib/

et non pas dans

/usr/X11R6/lib/libX11.6.dylib

comme le cherche Pd.

Mais comment modifier le chemin ??   yikes
j'ai trouvé des commandes du genre otool et install_name_tool pour visualiser et modifier des liens de dylib pour des exécutables mais je ne sais pas les utiliser...

Une aide ?  sad

-

 

#2 2008-10-04 18:50:19 Re : Problème de librairies avec pd-extended 0.39.3 sur MacOSX/Intel

Juju
Invité

Re: Problème de librairies avec pd-extended 0.39.3 sur MacOSX/Intel



A moins que le pb vienne d'ailleurs !?

-

 

#3 2008-10-04 21:35:34 Re : Problème de librairies avec pd-extended 0.39.3 sur MacOSX/Intel

oli44
membre
Lieu: Notre Dame des Landes
Date d'inscription: 2008-04-25
Messages: 585
Site web

Re: Problème de librairies avec pd-extended 0.39.3 sur MacOSX/Intel



Dans un terminal:

sudo ln -s /Developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/lib/ /usr/X11R6/lib/


La route est longue mais la voie est libre

Hors ligne

 

fil rss de cette discussion : rss

Pied de page des forums

Powered by FluxBB

codelab, graphisme & code : emoc / 2008-2020